# $Revision: 1.20 $, $Date: 2004/05/07 01:09:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	Singleton
Summary:	Class::singleton - implementation of a "Singleton" class
Summary(pl):	Class::Singleton - implementacja klasy Singleton
Name:		perl-Class-Singleton
Version:	1.03
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	80202a57411cb3e939fec327a87564bf
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	perl-Class-Sigleton

%description
This is the Class::Singleton module. A Singleton describes an object
class that can have only one instance in any system. An example of
a Singleton might be a print spooler or system registry. This module
implements a Singleton class from which other classes can be derived.
By itself, the Class::Singleton module does very little other than
manage the instantiation of a single object. In deriving a class from
Class::Singleton, your module will inherit the Singleton instantiation
method and can implement whatever specific functionality is required.

%description -l pl
To jest modu Class::Singleton. Singleton opisuje obiekt klasy, ktry
ma tylko jedn instancj w systemie - na przykad serwer wydrukw. Ten
modu implementuje klas Singleton, z ktrej mona dziedziczy inne
klasy. Sam modu Class::Singleton robi niewiele wicej ni samo
zarzdzanie pojedyncz instancj obiektu. Poprzez dziedziczenie z
klasy z Class:Singleton, moduy odziedzicz istnienie pojedynczej
instancji w systemie, a dodatkowo mog mie zaimplementowan waciw
funkcjonalno.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Class/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Singleton.spec,v $
Revision 1.20  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.19  2004/05/06 18:01:26  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/25 15:55:56  ankry
- tests added

Revision 1.17  2004/04/18 17:24:15  ankry
- summary, description and license fixes

Revision 1.16  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.15  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.11  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.10  2003/02/25 00:37:39  radek
- use the __perl macro

Revision 1.9  2003/02/18 15:28:11  ankry
- massive attack: change CPAN URLs

Revision 1.8  2002/08/18 11:57:08  blues
license fix

Revision 1.7  2002/05/22 08:40:03  qboosh
- new %%doc

Revision 1.6  2002/05/22 08:39:07  qboosh
- fixed typo in Name, added Obsoletes: for old, wrong name

Revision 1.5  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.4  2002/04/11 13:08:08  qboosh
- descriptions

Revision 1.3  2002/04/11 11:49:24  marcus
- s/CHANGES/Changes

Revision 1.2  2002/04/11 11:45:56  marcus
- fixed %%files

Revision 1.1  2002/04/11 10:46:14  marcus
- initial spec, need fixing!!!
